Name:           kraft
Url:            http://volle-kraft-voraus.de/Main/Kraft
Version:        0.58
Release:        %mkrel 2
License:        GPLv2
Summary:        KDE software to manage office documents in the office
Group:          Graphical desktop/KDE
Source0:        http://downloads.sourceforge.net/%name/%name-%version.tar.xz
Patch0:		allow-duplicate-cmake-targets.patch
BuildRequires:  kdepimlibs4-devel
BuildRequires:  pkgconfig(libctemplate)
Obsoletes:	%{_lib}kraft0 < 0.58

# Needed by the tools/erml2pdf.py python script
Requires:       python-reportlab
Requires:       python-pypdf


%description
Kraft is a free software project that helps to create and handle office
documents in small enterprises. In a workshop or any similar company 
daily tasks can be done in a smart manner.

Provided features are:
 -Customer management, deeply integrated in the KDE infrastructure using
  KAddressbook
 -Automated creation of offers, invoices and similar documents
 -Text templates
 -Calculation
 -Material management
 -Configurable document creation in PDF format 


%files -f %{name}.lang
%doc AUTHORS COPYING README Releasenotes.txt TODO
%{_kde_bindir}/kraft
%{_kde_bindir}/findcontact
%{_kde_datadir}/config.kcfg/kraftsettings.kcfg
%{_kde_datadir}/config.kcfg/databasesettings.kcfg
%{_kde_iconsdir}/*/*/apps/*.png
%{_kde_appsdir}/kraft
%{_kde_applicationsdir}/kraft.desktop

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p0

%build
%cmake_kde4 
%make

%install
%make_install -C build
%find_lang %{name}

chmod 755 %{buildroot}%{_kde_appsdir}/kraft/tools/erml2pdf.py


%changelog
* Mon Feb 15 2016 umeabot <umeabot> 0.58-2.mga6
+ Revision: 960870
- Mageia 6 Mass Rebuild

* Mon Sep 07 2015 fwang <fwang> 0.58-1.mga6
+ Revision: 873803
- update file list
- allow dup targets
- 0.58

* Wed Oct 15 2014 umeabot <umeabot> 0.54-3.mga5
+ Revision: 740573
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.54-2.mga5
+ Revision: 681189
- Mageia 5 Mass Rebuild

* Tue Sep 09 2014 lmenut <lmenut> 0.54-1.mga5
+ Revision: 674434
- update to 0.54

* Tue Oct 29 2013 bersuit <bersuit> 0.53-3.mga4
+ Revision: 547882
- Added upstream patch provided in #mga9650

* Tue Oct 22 2013 umeabot <umeabot> 0.53-2.mga4
+ Revision: 541366
- Mageia 4 Mass Rebuild

* Sat Oct 12 2013 fwang <fwang> 0.53-1.mga4
+ Revision: 495763
- update file list
- new version 0.53

* Sun Oct 06 2013 fwang <fwang> 0.51-2.mga4
+ Revision: 492076
- lock libmajor
- drop development file

* Tue Oct 01 2013 bersuit <bersuit> 0.51-1.mga4
+ Revision: 490052
- Update to new upstream version 0.51

* Sun Aug 18 2013 fwang <fwang> 0.50-1.mga4
+ Revision: 467473
- update file list
- disable patch apply
- new version 0.50

* Sat Jan 12 2013 umeabot <umeabot> 0.45-3.mga3
+ Revision: 356459
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Aug 06 2012 fwang <fwang> 0.45-2.mga3
+ Revision: 279440
- rebuild for new ctemplate

* Wed Nov 09 2011 mikala <mikala> 0.45-1.mga2
+ Revision: 165701
- Rediff patch0
- Update tarball to 0.45

* Tue Nov 08 2011 mikala <mikala> 0.44-1.mga2
+ Revision: 165400
- imported package kraft

